import { createRouter, createWebHistory } from 'vue-router'

import Chat from '../views/chat.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: '/',
      component: Chat,
    },
    {
      path: '/chat',
      name: 'chat',
      component: Chat,
    },
    {
      path: '/article',
      name: 'article',
      component: () => import('@/views/article.vue')
    },
  ],
})

export default router;